__gnu_cxx::_Unqualified_type< _Tp > Struct Template Reference

`#include <pointer.h>`

## Public Types

typedef _Tp | type

## Detailed Description

template<typename _Tp>
struct __gnu_cxx::_Unqualified_type< _Tp >

This structure accommodates the way in which std::iterator_traits<> is normally specialized for const T*, so that value_type is still T.

Definition at line 235 of file pointer.h.

## Member Typedef Documentation

## type

template<typename _Tp >

typedef _Tp __gnu_cxx::_Unqualified_type< _Tp >::type

Definition at line 236 of file pointer.h.

The documentation for this struct was generated from the following file:

- pointer.h